package com.ywt;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;

@SpringBootApplication
@EnableDubbo
public class OutpatientRpcServiceApplication {

    public static void main(String[] args) {
//        SpringApplication.run(OutpatientRpcServiceApplication.class, args);
        new SpringApplicationBuilder(OutpatientRpcServiceApplication.class)
                .web(WebApplicationType.NONE) // .REACTIVE, .SERVLET
                .run(args);
    }

}
